Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000581bareos-core[All Projects] installer / packagespublic2015-12-10 10:282016-07-08 14:34
Reporterymicha 
Assigned Topstorz 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7,8,10,2008,2012
Product Version13.2.5 
Target VersionFixed in Version 
Summary0000581: Installer is setting up a wrong path to bmail.exe without quotes / bmail not called
DescriptionThe installer is writing a wrong path for bmail into the baroes-dir.conf file.
Since Windows 7/64 the default program path should be "C:\Progam File\Bareos".

Installer includes the following lines:
mailcommand = "C:/Program Files/Bareos/bsmtp ...
operatorcommand = "C:/Program Files/Bareos/bsmtp ...

It have to be:
mailcommand = "\"C:/Program Files/Bareos/bsmtp\" ...
operatorcommand = "\"C:/Program Files/Bareos/bsmtp\" ...

,but installer is
Steps To ReproduceInstall winbareos using default settings on Windows 64
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impact
bareos-14.2: actionnone
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone
Attached Files

- Relationships
child of 0000625closedmaik Release bareos-15.2.3 

-  Notes
(0002093)
pstorz (administrator)
2016-01-12 09:27


Hello,

please verify that the installers in

http://download.bareos.org/bareos/people/pstorz/bug581/ [^]

fix the issue.

Thank you very much

(0002094)
ymicha (reporter)
2016-01-12 16:56

Thank you now it works fine.
(0002095)
mvwieringen (developer)
2016-01-13 10:31

Fix committed to bareos bareos-15.2 branch with changesetid 6078.
(0002317)
joergs (administrator)
2016-07-08 14:34

Fix committed to bareos bareos-14.2 branch with changesetid 6436.

- Related Changesets
bareos: bareos-15.2 9dd99898
Timestamp: 2016-01-11 15:15:49
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
win32: Extra quote bsmtp call on windows

Fixes 0000581: Installer is setting up a wrong path to bmail.exe without
quotes / bmail not called
mod - platforms/win32/fillup.sed Diff ] File ]
bareos: bareos-14.2 da8a368a
Timestamp: 2016-01-11 15:15:49
Author: pstorz
Committer: joergs
Ported: N/A
Details ] Diff ]
win32: Extra quote bsmtp call on windows

Fixes 0000581: Installer is setting up a wrong path to bmail.exe without
quotes / bmail not called
mod - platforms/win32/fillup.sed Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-10 10:28 ymicha New Issue
2016-01-11 14:56 pstorz Assigned To => pstorz
2016-01-11 14:56 pstorz Status new => acknowledged
2016-01-12 09:27 pstorz Note Added: 0002093
2016-01-12 09:27 pstorz Status acknowledged => feedback
2016-01-12 16:56 ymicha Note Added: 0002094
2016-01-12 16:56 ymicha Status feedback => assigned
2016-01-13 10:31 mvwieringen Changeset attached => bareos bareos-15.2 9dd99898
2016-01-13 10:31 mvwieringen Note Added: 0002095
2016-01-13 10:31 mvwieringen Status assigned => resolved
2016-01-13 10:31 mvwieringen Resolution open => fixed
2016-03-11 14:32 maik bareos-15.2: impact => yes
2016-03-11 14:32 maik bareos-15.2: action => will care
2016-03-11 14:33 maik Relationship added child of 0000625
2016-07-05 12:34 joergs bareos-master: impact => yes
2016-07-05 12:34 joergs bareos-master: action => fixed
2016-07-05 12:34 joergs bareos-15.2: action will care => fixed
2016-07-05 12:34 joergs bareos-14.2: action => none
2016-07-05 12:34 joergs bareos-13.2: action => none
2016-07-05 12:34 joergs bareos-12.4: action => none
2016-07-08 14:34 joergs Changeset attached => bareos bareos-14.2 da8a368a
2016-07-08 14:34 joergs Note Added: 0002317


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker